Package org.eclipse.emf.cdo.session

# Interface CDOSession.ExceptionHandler

All Known Implementing Classes:
  `CDOInteractiveExceptionHandler`, `CDORetryExceptionHandler`

Enclosing interface:
  `CDOSession`

public static interface CDOSession.ExceptionHandler
Handles `protocol` exceptions if `configured` before the session has been opened.

Author:
  Eike Stepper

## Method Summary

Modifier and Type
Method
Description
`void`
`handleException(CDOSession session, int attempt, Exception exception)`

## Method Details

### handleException

void handleException(CDOSession session, int attempt, Exception exception) throws Exception

Throws:
  `Exception`